<?php
	include("conexion.php");
	
	$Base= new BaseDatos();
	$Base->conectarGen("localhost","root","","bd_impacto");

	$sql=$Base->sentencia("SELECT * FROM ma_usuarios WHERE cedula='".$_GET['codigo']."'");
	//echo $_GET['accion'].$_GET['codigo'];
	if ($_GET['accion']=='E')
	{
		if ($row=$Base->numfilas($sql)>0)
		{
			$Base->sentencia("UPDATE ma_usuarios SET estatus='0'  WHERE cedula='".$_GET['codigo']."'")
			or die("Operación Invalida, por favor notifique a su administrador");
		}
	}
	else //es modificar o nuevo
	{
			if ($row=$Base->numfilas($sql)>0)
			{
				$Base->sentencia("UPDATE ma_usuarios SET nombre='".$_GET['nombre']."',login='".$_GET['login']."',clave='".$_GET['clave']."'  WHERE cedula='".$_GET['cedula']."'")
				or die("Operación Invalida, por favor notifique a su administrador");
			}
			else
			{
				$query=("INSERT INTO ma_usuarios(cedula,nombre,login,clave,estatus) VALUES('".$_GET['cedula']."','".strtoupper($_GET['nombre'])."','".strtoupper($_GET['login'])."','".$_GET['clave']."',1)");
				$res=$Base->sentencia($query) or die("Operación Invalida, por favor notifique a su administrador");
			}
	 }
	
	header("Location: usuarios.php");
?>